ValueExpressionLiteral (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.el, class: ValueExpressionLiteral

# Class ValueExpressionLiteral

java.lang.Object
javax.el.Expression
javax.el.ValueExpression
org.apache.el.ValueExpressionLiteral

All Implemented Interfaces:
  `Externalizable, Serializable`

public final class ValueExpressionLiteral extends ValueExpression implements Externalizable
A literal value expression that represents a constant value.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueExpressionLiteral()`
  Constructs a new ValueExpressionLiteral for deserialization.
  `ValueExpressionLiteral(Object value, Class<?> expectedType)`
  Constructs a new ValueExpressionLiteral.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `boolean`
  `equals(ValueExpressionLiteral ve)`
  Compares this literal value expression with another for equality.
  `Class<?>`
  `getExpectedType()`
  `String`
  `getExpressionString()`
  `Class<?>`
  `getType(ELContext context)`
  `Object`
  `getValue(ELContext context)`
  `int`
  `hashCode()`
  `boolean`
  `isLiteralText()`
  `boolean`
  `isReadOnly(ELContext context)`
  `void`
  `readExternal(ObjectInput in)`
  `void`
  `setValue(ELContext context, Object value)`
  `void`
  `writeExternal(ObjectOutput out)`

  ### Methods inherited from class ValueExpression

  `getValueReference`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueExpressionLiteral

    public ValueExpressionLiteral()
    Constructs a new ValueExpressionLiteral for deserialization.

  - ### ValueExpressionLiteral

    public ValueExpressionLiteral(Object value, Class<?> expectedType)
    Constructs a new ValueExpressionLiteral.
    Parameters:
      `value` - The literal value
      `expectedType` - The expected return type

- ## Method Details

  - ### getValue

    public Object getValue(ELContext context)
    Specified by:
      `getValue` in class `ValueExpression`
    Parameters:
      `context` - The EL context for this evaluation
    Returns:
      The result of evaluating this value expression

  - ### setValue

    public void setValue(ELContext context, Object value)
    Specified by:
      `setValue` in class `ValueExpression`
    Parameters:
      `context` - The EL context for this evaluation
      `value` - The value to set the property to which this value expression refers

  - ### isReadOnly

    public boolean isReadOnly(ELContext context)
    Specified by:
      `isReadOnly` in class `ValueExpression`
    Parameters:
      `context` - The EL context for this evaluation
    Returns:
      `true` if this expression is read only otherwise `false`

  - ### getType

    public Class<?> getType(ELContext context)
    Specified by:
      `getType` in class `ValueExpression`
    Parameters:
      `context` - The EL context for this evaluation
    Returns:
      The type of the result of this value expression

  - ### getExpectedType

    public Class<?> getExpectedType()
    Specified by:
      `getExpectedType` in class `ValueExpression`

  - ### getExpressionString

    public String getExpressionString()
    Specified by:
      `getExpressionString` in class `Expression`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `Expression`

  - ### equals

    public boolean equals(ValueExpressionLiteral ve)
    Compares this literal value expression with another for equality.
    Parameters:
      `ve` - The other literal value expression
    Returns:
      `true` if the values are equal, `false` otherwise

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Expression`

  - ### isLiteralText

    public boolean isLiteralText()
    Specified by:
      `isLiteralText` in class `Expression`

  - ### writeExternal

    public void writeExternal(ObjectOutput out) throws IOException
    Specified by:
      `writeExternal` in interface `Externalizable`
    Throws:
      `IOException`

  - ### readExternal

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    Specified by:
      `readExternal` in interface `Externalizable`
    Throws:
      `IOException`
      `ClassNotFoundException`